Zum Hauptinhalt springen

List MySQL databases belonging to a Project

GET/projects/{projectId}/mysql-databases/
v2
GET
database-list-mysql-databases

Request

  • projectIdstring
    required

    ID of the Project to list MySQLDatabases for.

Responses

application/json

OK

  • Array[
    • *object
      • characterSettingsobject
        required
        • characterSetstring
          required

          A valid MySQL character set

        • collationstring
          required

          A valid MySQL collation

      • createdAtstring (date-time)
        required
      • descriptionstring
        required

        A description of the MySQLDatabase. This is for your own reference and has no effect on the database itself.

      • externalHostnamestring
        required

        The hostname that you can use to connect to this MySQLDatabase from external sources, like your local machine or services running outside the mittwald cloud platform.

        Note that you still need a database user with externalAccess enabled to connect via this hostname.

      • finalizersarray of string (≥ 1 characters)
        • Array[
          • *string (≥ 1 characters)
          ]
      • hostnamestring
        required

        The hostname that you can use to connect to this MySQLDatabase from within the hosting environment.

      • idstring (uuid)
        required
      • isReadyboolean
        required
      • isSharedboolean
        required
      • mainUserobject
        • accessIpMaskstring
        • accessLevelstring (one of: full, readonly)
          required
        • createdAtstring (date-time)
          required
        • databaseIdstring (uuid)
          required
        • descriptionstring
        • disabledboolean
          required
        • externalAccessboolean
          required
        • idstring (uuid)
          required
        • mainUserboolean
          required
        • namestring
          required
        • passwordUpdatedAtstring (date-time)
          required
        • statusstring (one of: pending, ready, error, terminating, disabled)
          required
        • statusSetAtstring (date-time)
          required
        • updatedAtstring (date-time)
          required
      • namestring
        required

        The name of the MySQLDatabase. This is also the name of the database that you can use when connecting to it. It is automatically generated and cannot be changed.

      • projectIdstring (uuid)
        required
      • statusstring (one of: pending, ready, migrating, importing, error)
        required
      • statusSetAtstring (date-time)
        required
      • storageUsageInBytesinteger (int64)
        required
      • storageUsageInBytesSetAtstring (date-time)
        required
      • updatedAtstring (date-time)
        required
      • versionstring
        required

        The MySQL version that this database is running, in <major>.<minor> format. Use the GET /v2/mysql-versions endpoint to query available versions.

    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/mysql-databases